﻿using System;
using Xamarin.Forms;
using Xamarin.Forms.Platform.GTK;
using Xamarin.Forms.Platform.GTK.Helpers;

namespace Aurora.gtk
{
    class MainClass
    {
        [STAThread]
        public static void Main(string[] args)
        {
            Gtk.Application.Init();
            Forms.Init();

            if (PlatformHelper.GetGTKPlatform() == GTKPlatform.Windows)
            {
                GtkThemes.LoadCustomTheme("Themes/gtkrc-dark");
            }

            var app = new App();
            var window = new FormsWindow();
            window.LoadApplication(app);
            window.SetApplicationTitle("Aurora");
            window.Show();

            Gtk.Application.Run();
        }
    }
}
